A guide to operation principles of PSSS and how to align

# Introduction

The PSSS can be used either in full beam or with a grating where the 1st order from the grating is incident in the bent crystal.  It is recommend only to use the full beam for alignment purposes and not for machine optimization.  Use of full beam for optimization is likely to give artificial bandwidths due to saturation of the detection system.

There are different bent crystals suitable for different energy ranges and spectral resolutions.  Theses are:
- 4 - 5.5 keV  -  Si(111) bending radius 155 mm
- 5.5-8 keV - Si(220) bending radius 75 mm
- 8-10.25 keV -Si(220) bending radius 145 mm
- 10.25-13 keV - Si(220) bending radius 200 mm

# Alignment tweaks
## PSSS spectrum not updating

The most common reason for the PSSS spectrum not to be updating is the processing pipeline is not running as the camera ROI is different to the background image ROI used for background subtraction.  This occurs after a camera restart as the camera ROI is not currently in a save and restore.  To solve this do the following:

1.  Open CamServer Management Console `csm` on console
<img src="https://docs.google.com/drawings/d/e/2PACX-1vT-WcbBcOYP_ZGQOYerDnRQUPvOvSei0rqRRQNd5ghsmNHH1FIwFGvs1_yqzULUkOHJi2ADv7Sw4Heh/pub?w=664&amp;h=687">

2.  Select Pipelines → Config → Filter by `PSSS` → Select `SARFE10-PSSS059_psss`
3.  In the open config either set `image_background_enable` to `false` for dirty solution to disable the background or best still to check the background ROI and set the camera ROI to the required value.  To do this:

<img src="https://docs.google.com/drawings/d/e/2PACX-1vSp_wF_Og4F4IDQT9SEQj-jxeCRvkqn90Vkl8xxM2q3akbt4lPiQaiuRNqfF9alVR37Hv8bdFRPuzAz/pub?w=672&amp;h=690">


1. Remember background name used i.e setting of `image_background`
1. Select Background → Filter bu `PSSS`  → Select `SARFE10=PSSS059`  → Select the Background image ID used in the config and read Background Size in box at the bottom
1. Set the ROI in the camera expert panel for camera `SARFE10-PSSS059` found under the Photonics Aramis tab of `camsf.ui`

Occasionally the background image ID is not listed.  If this is the case a new background image should be taken.  To do this first set the camera ROI to `2560x1162` (required for 100 Hz operation :disappointed:), then press the capture button in the panel shown above.  The generated image ID then needs to be copied and updated in the config as described above.

Still have an issue? Use the contact list for the PSSS here:[contacts](Aramis Contacts)

## Photon energy outside window
**Description**  
There can be an offset between reported machine photon energy and actual photon energy

**Solution** 
- Run Energy scan on PSSS panel, Alignment tab.  PSSS energy will be scanned and for each scan step the average single shot signal for each step recorded.  After the scan the optimum position will be automatically set
<img src="https://docs.google.com/drawings/d/e/2PACX-1vTgqGH0cfCZdF1tNIWeELWJVUKil_bn7xwOEAkgdKG7Xrmh7vytoVzlCsZW_yI8Hz5-zrCOiNboFzL3/pub?w=1307&amp;h=864">


## Weak signal
**Description**  
Spectrum seen, but very weak signal  

**Solution**  
The most common reason for a weak signal is the height of the spectrometer crystal.
- Run Crystal height scan on PSSS panel, Alignment tab.  Crystal will be scanned in height, after the scan the optimum position will be automatically set
<img src="https://docs.google.com/drawings/d/e/2PACX-1vTQudIV1-lfgKAqzmeoKBRklZWa1ANKxQ8LNHqpcs5_6VnuN6CY_6pKUIcNU98lZBA51OV3FxSvGk6E/pub?w=1307&amp;h=864">

## Controls contacts

flowchart TD
    A[Aramis spectral diagnostics issue] --> B(Chris Arrell)
    B --> |Not available| C{Type of issue}
    C -->|Motion control| D[Scott Stubbs]
    C -->|Spectrum not updating| E[Alex Gobbo]
    C -->|Data issue| F[Edwin Divall]
    C -->|Can't find spectrum| G[User Guide Click me!]
    click G "https://gitlab.psi.ch/arrell_c/swissfel-photon-diagnostics-guide/-/wikis/Aramis-spectral-diagnostics/PSSS-user-guide"
    G -->|Still can't| I[Henrik Lemke/Claudio Cirelli]
    D -->|Not available| H[Claude Pradervand]
    E -->|Not available| H[Claude Pradervand]
    F -->|Not available| H[Claude Pradervand]